<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/zag.php");
include_once("include/sesi.php");
if (isset($user)) {
include 'include/udata.php';
switch($go) {

default:
echo"<b>Warehouse Keeper Rant</b><br/>
Здраствуй $log!<br/>
Что ты хочешь сделать?<br/>
<a href=\"sklad.php?$sd&go=item\">Положить вещи на склад</a><br/>
<a href=\"sklad.php?$sd&go=pereact\">Передать вещи</a><br/>
<a href=\"sklad.php?$sd&go=sklad\">Взять вещи со склада</a>";
break;

case 'item':
$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
if(!@$file || empty($file)){echo"Инвентарь пуст."; include_once"include/down.php";
exit;}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$data=explode(":||:",$file[$i]);
$data[3]=str_replace("D","1",$data[3]);
$data[3]=str_replace("C","1",$data[3]);
$data[3]=str_replace("B","1",$data[3]);
$data[3]=str_replace("A","1",$data[3]);
$data[3]=str_replace("S","1",$data[3]);
if($data[4]!=""){
echo"<a href=\"sklad.php?$sd&go=tosklad&id=$i&name=$data[4]\">$data[4]</a> [$data[3] штук]<br/>";
}
}
if ($start != 0) {echo '<a href="sklad.php?start='.($start - 10).'&'.$sd.'&go=item">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="sklad.php?start='.($start + 10).'&'.$sd.'&go=item">Далее</a>';}
break;

case 'peredat':
if(!@file("MySql/base123/reg/$komu.dat")){
echo'Такой игрок не существует!'; include_once"include/down.php"; exit; }
if($komu==$log){
echo'Себе чтоли?'; include_once"include/down.php"; exit; }
$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
if(!@$file || empty($file)){echo"Инвентарь пуст."; include_once"include/down.php";
exit;}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$data=explode(":||:",$file[$i]);
$data[3]=str_replace("D","1",$data[3]);
$data[3]=str_replace("C","1",$data[3]);
$data[3]=str_replace("B","1",$data[3]);
$data[3]=str_replace("A","1",$data[3]);
$data[3]=str_replace("S","1",$data[3]);
if($data[4]!=""){
echo"<a href=\"sklad.php?$sd&go=pereok&id=$i&name=$data[4]&komu=$komu\">$data[4]</a> [$data[3] штук]<br/>";
}
}
if ($start != 0) {echo '<a href="sklad.php?start='.($start - 10).'&'.$sd.'&go=peredat&komu='.$komu.'">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="sklad.php?start='.($start + 10).'&'.$sd.'&go=peredat&komu='.$komu.'">Далее</a>';}
break;

case 'pereact':
echo '<form method="post" action="sklad.php?'.$sd.'&go=peredat">';
echo "Кому:<br/>";
echo '<input type="log" name="komu" maxlength="25" /><br/>';
echo '<input type="submit" class="button" value="Передать" />';
echo '<postfield name="komu" value="$(komu)"/>';
echo '</form>';
break;

case 'pereok':
if(!@file("MySql/base123/reg/$komu.dat")){echo"Такого игрока нет"; include 'include/down.php'; exit;}
if($udata[10]!=="Пусто"){echo'С одетым шлемом передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[11]!=="Пусто"){echo'С одетой робой передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[12]!=="Пусто"){echo'С одетым оружыем передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[13]!=="Пусто"){echo'С одетыми сапогами передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[52]!=="Пусто"){echo'С одетыми перчатками передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[53]!=="Пусто"){echo'С одетым щитом передавать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[54]!=="Пусто"){echo'С одетыми украшением передать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[48]!=="Пусто"){echo'С одетыми кольцом передать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[49]!=="Пусто"){echo'С одетыми кольцом передать нельзя.<br/>';include_once"include/down.php"; exit;}else{
$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$id]);
if($name=="Talum Blade"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*1"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*2"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*3"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*4"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*5"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*6"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*7"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*8"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*9"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*10"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*11"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*12"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*13"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*14"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*15"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*16"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*17"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*18"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*19"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*20"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*21"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*22"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*23"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*24"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*25"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*26"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*27"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*28"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*29"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Talum Blade*30"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Olimpiad Diadem"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}

if($name=="Draconic Leather Armor"){
echo"<small>Нельзя передавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}

$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));
$komu = htmlspecialchars(stripslashes($komu));
$file=@file("MySql/base123/item/$log.dat");
$data=explode(":||:",$file[$id]);
if($data[4]==$name){
if(($data[2]=="vesh") or ($data[2]=="vesh2") or ($data[2]=="Medal") or ($data[2]=="fish") or ($data[2]=="bookhp") or ($data[2]=="bookmp") or ($data[2]=="wolf") or ($data[2]=="dragon") or ($data[2]=="petweapon") or ($data[2]=="vesh2")){
echo"<small>Ресурсы и рецепты передавать нельзя</small>";
include_once"include/down.php";
exit;
}{$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:";}
if($data[2]=="vesh"){
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:";}else{
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:$data[6]:||:";}
if($data[2]=="vesh2"){
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:";}else{
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:$data[6]:||:";}
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/sklad/$komu.dat")){
$fp=fopen("MySql/base123/sklad/$komu.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/sklad/$komu.dat", 0666);
}else{
$fp=fopen("MySql/base123/sklad/$komu.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
////////////////////////////// send message /////////
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("MySql/base123/reg/$komu.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("MySql/base123/reg/$komu.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$message="Вам посылка от $log, зайдите на склад.Там мы вам отдадим ваш $name";
$message=base64_encode($message);
$pozdr=":::Гонец|".$message."|".$data;
$fp=fopen("MySql/base123/msg/$komu.msg","a+");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вещь отправлена $komu.";}else{echo"Ошибка."; }}}}}}}}}}
break;

case 'tosklad':
if($udata[10]!=="Пусто"){echo'С одетым шлемом на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[11]!=="Пусто"){echo'С одетой робой на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[12]!=="Пусто"){echo'С одетым оружыем на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[13]!=="Пусто"){echo'С одетыми сапогами на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[52]!=="Пусто"){echo'С одетыми перчатками на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[53]!=="Пусто"){echo'С одетыми щитом на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[54]!=="Пусто"){echo'С одетыми украшением на склад положить нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[48]!=="Пусто"){echo'С одетыми кольцом передать нельзя.<br/>';include_once"include/down.php"; exit;}else{
if($udata[49]!=="Пусто"){echo'С одетыми кольцом передать нельзя.<br/>';include_once"include/down.php"; exit;}else{
$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));
$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));

$file=@file("MySql/base123/item/$log.dat");
$data=explode(":||:",$file[$id]);

if($data[4]==$name){

if($data[2]=="vesh"){

echo "<form action=\"sklad.php?$sd&name=$name&go=vesh&id=$id\" method=\"post\"><small>Сколько?:</small><br/>";
echo "<input name=\"kol\" maxlength=\"10\" title=\"*N\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Положить" /></form>';
include_once "include/down.php";
exit;
}

$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:";

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

if(!@file("MySql/base123/sklad/$log.dat")){
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/sklad/$log.dat", 0666);
}else{

$fp=fopen("MySql/base123/sklad/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}

echo"<small>Вещь положена на склад.</small>";}else{echo"<small>Ошибка.</small>"; }}}}}}}}}}

break;

case 'sklad':

echo"<small>";

$file=@file("MySql/base123/sklad/$log.dat");
$total=count($file);

if(!@$file || empty($file)){echo"Склад пуст.</small>"; include_once"include/down.php";
exit;}

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$data=explode(":||:",$file[$i]);

$data[3]=str_replace("D","1",$data[3]);
$data[3]=str_replace("C","1",$data[3]);
$data[3]=str_replace("B","1",$data[3]);
$data[3]=str_replace("A","1",$data[3]);
$data[3]=str_replace("S","1",$data[3]);


if($data[4]!=""){
echo"<a href=\"sklad.php?$sd&go=izsklad&id=$i&name=$data[4]\">$data[4]</a> [$data[3] штук]<br/>";
}
}
echo"</small>";

if ($start != 0) {echo '<small><a href="sklad.php?start='.($start - 10).'&'.$sd.'&go=sklad">Назад</a> </small>';}

if ($total > $start + 10) {echo '<small> <a href="sklad.php?start='.($start + 10).'&'.$sd.'&go=sklad">Далее</a></small>';}


break;

case 'sklad':
$file=@file("MySql/base123/sklad/$log.dat");
$total=count($file);
if(!@$file || empty($file)){echo"Склад пуст."; include_once"include/down.php";
exit;}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$data=explode(":||:",$file[$i]);
$data[3]=str_replace("D","1",$data[3]);
$data[3]=str_replace("C","1",$data[3]);
$data[3]=str_replace("B","1",$data[3]);
$data[3]=str_replace("A","1",$data[3]);
$data[3]=str_replace("S","1",$data[3]);
if($data[4]!=""){
echo"<a href=\"sklad.php?$sd&go=izsklad&id=$i&name=$data[4]\">$data[4]</a> [$data[3] штук]<br/>";
}
}
if ($start != 0) {echo '<a href="sklad.php?start='.($start - 10).'&'.$sd.'&go=sklad">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="sklad.php?start='.($start + 10).'&'.$sd.'&go=sklad">Далее</a>';}
break;

case 'izsklad':
$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));
$file=@file("MySql/base123/sklad/$log.dat");
$data=explode(":||:",$file[$id]);
if($data[4]==$name){
if(($data[2]=="vesh") or ($data[2]=="vesh2") or ($data[2]=="Medal") or ($data[2]=="fish") or ($data[2]=="bookhp") or ($data[2]=="bookmp") or ($data[2]=="wolf") or ($data[2]=="dragon") or ($data[2]=="petweapon")){
echo'<form method="post" action="sklad.php?'.$sd.'&name='.$name.'&go=pereok&id='.$id.'">';
echo "Сколько?:<br/>";
echo "<input name=\"kol\" type=\"log\" maxlength=\"10\" emptyok=\"true\"/><br/>";
echo '<input type="submit" class="button" value="Положить" \">';
echo "<postfield name=\"kol\" value=\"$(kol)\"/>";
echo "</form>";
include_once"include/down.php";
exit;
}{$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:";}
if($data[5]=="vesh"){
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:";}else{
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:$data[5]:||:$data[6]:||:";}
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/item/$log.dat")){
$fp=fopen("MySql/base123/item/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/item/$log.dat", 0666);
}else{
$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
echo"Вещь взята со склада";}else{echo"Ошибка.";}
break;

case 'vesh':
$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));
$kol = htmlspecialchars(stripslashes($kol));
if(eregi("[^0-9]",$kol)){echo"Вводите число, а не буквы!"; include_once"include/down.php"; exit;}
$file=@file("MySql/base123/item/$log.dat");
$data=explode(":||:",$file[$id]);
$koll=$data[3]-$kol;
if($koll<0){echo"У вас нет столько вещей!";include_once"include/down.php";exit;}
if($koll=="0"){
$file2=@file("MySql/base123/sklad/$log.dat");
$end=count($file2);
for ($i = 0; $i < $end; $i++){
$data2=explode(":||:",$file2[$i]);
if($data2[4]==$data[4]){
$kol=$data2[3]+$kol;
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);}}
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/sklad/$log.dat")){
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/sklad/$log.dat", 0666);
}else{
$fp=fopen("MySql/base123/sklad/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
echo"Вещи положенны на склад.";
}else if($data[3]>0){
$file2=@file("MySql/base123/sklad/$log.dat");
$end=count($file2);
for ($i = 0; $i < $end; $i++){
$data2=explode(":||:",$file2[$i]);
if($data2[4]==$data[4]){
$kol=$data2[3]+$kol;
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);}}
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$text2="$data[0]:||:$data[1]:||:$data[2]:||:$koll:||:$data[4]:||:";
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/sklad/$log.dat")){
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/sklad/$log.dat", 0666);
}else{
$fp=fopen("MySql/base123/sklad/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вещи положенны на склад.";
}
break;

case 'vesh2':
$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));
$kol = htmlspecialchars(stripslashes($kol));
if(eregi("[^0-9]",$kol)){echo"Вводите число, а не буквы!"; include_once"include/down.php"; exit;}
$file=@file("MySql/base123/sklad/$log.dat");
$data=explode(":||:",$file[$id]);
$koll=$data[3]-$kol;
if($koll<0){echo"У вас нет столько вещей!";include_once"include/down.php";exit;}
if($koll=="0"){
$file2=@file("MySql/base123/item/$log.dat");
$end=count($file2);
for ($i = 0; $i < $end; $i++){
$data2=explode(":||:",$file2[$i]);
if($data2[4]==$data[4]){
$kol=$data2[3]+$kol;
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);}}
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/item/$log.dat")){
$fp=fopen("MySql/base123/item/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/item/$log.dat", 0666);
}else{
$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
echo"Вещи взяты со склада.";
}else if($data[3]>0){
$file2=@file("MySql/base123/item/$log.dat");
$end=count($file2);
for ($i = 0; $i < $end; $i++){
$data2=explode(":||:",$file2[$i]);
if($data2[4]==$data[4]){
$kol=$data2[3]+$kol;
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);}}
$text="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";
$text2="$data[0]:||:$data[1]:||:$data[2]:||:$koll:||:$data[4]:||:";
$fp=fopen("MySql/base123/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
if(!@file("MySql/base123/item/$log.dat")){
$fp=fopen("MySql/base123/item/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/item/$log.dat", 0666);
}else{
$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
$fp=fopen("MySql/base123/sklad/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вещи взяты со склада.";
}
break;




}
}else{echo"Пароль или логин неверен!";}
include_once"include/down.php";
?>
